Bug 1003561 - rpc.mountd -V version, man page need update the enabled version.
rpc.mountd -V version, man page need update the enabled version.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.4
All Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
: ManPageChange
Depends On:
Blocks: 1003562
  Show dependency treegraph
 
Reported: 2013-09-02 07:18 EDT by Yin.JianHong
Modified: 2014-06-16 10:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1003562 (view as bug list)
Environment:
Last Closed: 2014-06-16 10:19:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpc.mountd adding NFSv4 for -V option (678 bytes, patch)
2014-06-16 07:30 EDT, Jan Chaloupka
no flags Details | Diff

  None (edit)
Description Yin.JianHong 2013-09-02 07:18:32 EDT
Description of problem:
rpc.mountd -V version, man page need update the enabled version.
In RHEL6 and RHEL7, rpc.mountd have enable the version 4
bug the man page still:
       -V  or  --nfs-version
              This option can be used to request that rpc.mountd offer certain versions of NFS. The current version of rpc.mountd can support both NFS version  2
              and the newer version 3.   <<<-----here


Version-Release number of selected component (if applicable):
all version In from RHEL6.x to RHEL7.0

How reproducible:
y

Steps to Reproduce:
1. man rpc.mountd and check
2. rpc.mountd -V 4
3.

Actual results:


Expected results:
update man page......

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 22:25:59 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Jan Chaloupka 2014-06-16 07:30:39 EDT
Created attachment 909083 [details]
rpc.mountd adding NFSv4 for -V option
Comment 4 Jan Chaloupka 2014-06-16 07:32:41 EDT
Hi, Steve,

just added NFSv4 to -V option. What do you think about it? Can you confirm rpc.mountd support NFSv4? Running "rpc.mountd -V 4" makes daemon run.

Thanks

Jan
Comment 5 Steve Dickson 2014-06-16 10:19:05 EDT
rpc.mountd is not used with v4 mounts so making a change like this does not make sense.

Note You need to log in before you can comment on or make changes to this bug.